> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password

> Allows User to reset their password using a valid token



## OpenAPI

````yaml POST /auth/password-reset-complete/
openapi: 3.1.0
info:
  title: CloserX.ai API
  description: >-
    The CloserX.ai API provides programmatic access to manage AI-powered calling
    operations, including agent creation, campaign management, contact handling,
    telephony integration, and more. This API enables seamless automation and
    integration with CRM systems, telephony providers, and other third-party
    services for enhanced client communication and business operations.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.closerx.ai/api
security:
  - api_key: []
paths:
  /auth/password-reset-complete/:
    post:
      description: Allows User to reset their password using a valid token
      requestBody:
        description: User ID, token, and new password for password reset
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordResetCompleteRequest'
        required: true
      responses:
        '200':
          description: Password reset response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PasswordResetCompleteResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security: []
components:
  schemas:
    PasswordResetCompleteRequest:
      type: object
      required:
        - uidb64
        - token
        - password
      properties:
        uidb64:
          type: string
          description: Base64 encoded user ID
        token:
          type: string
          description: Password reset token
        password:
          type: string
          format: password
          description: New password for the user
    PasswordResetCompleteResponse:
      type: object
      required:
        - success
        - message
        - data
      properties:
        success:
          type: boolean
          description: Indicates whether the password reset was successful
        message:
          type: string
          description: Message describing the result of the password reset request
        data:
          type: object
          description: Empty object containing no additional data
    Error:
      required:
        - success
        - message
        - data
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key

````